> ## Documentation Index
> Fetch the complete documentation index at: https://docs.social-api.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook endpoints

> Returns all webhook endpoints for the authenticated user.



## OpenAPI

````yaml /api-reference/openapi.json get /webhooks
openapi: 3.0.0
info:
  description: >-
    Unified social media inbox API. Read and respond to comments, DMs, reviews,
    and mentions across Instagram, Facebook, Threads, Google Business Profile,
    TikTok, LinkedIn, and YouTube through a single REST API. X/Twitter and
    Trustpilot coming soon.
  title: SocialAPI.AI
  contact:
    name: SocialAPI.AI Support
    email: support@social-api.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.social-api.ai/v1
security: []
paths:
  /webhooks:
    get:
      tags:
        - Webhooks
      summary: List webhook endpoints
      description: Returns all webhook endpoints for the authenticated user.
      responses:
        '200':
          description: List of webhook endpoints
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_endpoints.WebhooksListResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_endpoints.ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    api_endpoints.WebhooksListResponse:
      type: object
      properties:
        count:
          type: integer
        data:
          type: array
          items:
            $ref: '#/components/schemas/api_endpoints.WebhookEndpointItem'
    api_endpoints.ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/api_endpoints.ErrorBody'
    api_endpoints.WebhookEndpointItem:
      type: object
      properties:
        created_at:
          type: string
          example: '2026-03-14T09:00:00Z'
        events:
          type: array
          items:
            type: string
          example:
            - comment.received
            - dm.received
        id:
          type: string
          example: wh_01HZ9X3Q4R5M6N7P8V2K0W1J
        is_active:
          type: boolean
          example: true
        url:
          type: string
          example: https://example.com/webhooks/socialapi
    api_endpoints.ErrorBody:
      type: object
      properties:
        code:
          type: string
          example: resource.not_found
        message:
          type: string
          example: Account not found
        meta:
          type: object
          additionalProperties: {}
  securitySchemes:
    BearerAuth:
      description: >-
        Prefix your API key with "Bearer ". Example: `Authorization: Bearer
        sapi_key_...`
      type: apiKey
      name: Authorization
      in: header

````